Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class HibernateEventBean

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.HibernateEventBean

    public class HibernateEventBean

extends java.lang.Object

Bean for hibernate events - contains an event and a class name.

Since:
  Version 4.2
Author:
  tcunning@redhat.com

Constructor Summary
`HibernateEventBean()`
`HibernateEventBean(java.lang.String f_event, java.lang.String f_className)` Constructor

Method Summary
`java.lang.String` | `getClassname()` Accessor for class name.
`java.lang.String` | `getEvent()` Accessor for list of events.
`void` | `setClassname(java.lang.String classname)` Mutator for class name
`void` | `setEvent(java.lang.String m_event)` Mutator for event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateEventBean

    public HibernateEventBean()

### HibernateEventBean

    public HibernateEventBean(java.lang.String f_event,
                              java.lang.String f_className)

  Constructor

  Parameters:
    `f_event` - event
    `f_className` - class name

Method Detail

### getClassname

    public java.lang.String getClassname()

  Accessor for class name.

  Returns:
    class name

### setClassname

    public void setClassname(java.lang.String classname)

  Mutator for class name

  Parameters:
    `classname` - class name

### getEvent

    public java.lang.String getEvent()

  Accessor for list of events.

  Returns:
    comma separated list of events

### setEvent

    public void setEvent(java.lang.String m_event)

  Mutator for event

  Parameters:
    `m_event` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD